import { registerExtension } from 'vscode/extensions';

var manifest = {name:"search-result",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",icon:"images/icon.png",engines:{vscode:"^1.39.0"},main:undefined,browser:"./dist/extension.js",activationEvents:["onLanguage:search-result"],capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},enabledApiProposals:["documentFiltersExclusive"],contributes:{configurationDefaults:{"[search-result]":{"editor.lineNumbers":"off"}},languages:[{id:"search-result",extensions:[".code-search"],aliases:["Search Result"]}],grammars:[{language:"search-result",scopeName:"text.searchResult",path:"./syntaxes/searchResult.tmLanguage.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), 'text/markdown');
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), 'application/json');
registerFileUrl('dist/extension.js', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/extension', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/extension.js.map', new URL('./resources/extension.js.map', import.meta.url).toString(), 'application/json');
registerFileUrl('images/icon.png', new URL('./resources/icon.png', import.meta.url).toString(), 'image/png');
registerFileUrl('syntaxes/searchResult.tmLanguage.json', new URL('./resources/searchResult.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('dist/media/refresh-dark.svg', new URL('./resources/refresh-dark.svg', import.meta.url).toString(), 'image/svg+xml');
registerFileUrl('dist/media/refresh-light.svg', new URL('./resources/refresh-light.svg', import.meta.url).toString(), 'image/svg+xml');

export { whenReady };
